org.apache.mina.codec.delimited

## Class SizePrefixedDecoder.MutableInt

- java.lang.Object
- - org.apache.mina.codec.delimited.SizePrefixedDecoder.MutableInt

Enclosing class:
  SizePrefixedDecoder<OUT>

    protected static final class SizePrefixedDecoder.MutableInt
    extends Object

A mutable `Integer` wrapper.

Author:
  Apache MINA Project

### Method Summary

Methods
`Integer` `getValue()` Gets the value as a Integer instance.
`boolean` `isDefined()` Returns the existence (or not) of an integer in this mutable.
`void` `reset()` Remove the value.
`void` `setValue(Integer value)` Set the value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getValue

    public Integer getValue()

Gets the value as a Integer instance.

Returns:
  the value as a Integer.

#### isDefined

    public boolean isDefined()

Returns the existence (or not) of an integer in this mutable.

Returns:
  true if it contains a value, false otherwise.

#### reset

    public void reset()

Remove the value.

#### setValue

    public void setValue(Integer value)

Set the value.

Parameters:
  `value` - the value to set